com.brightcove.player.model

## Class RendererConfig

- java.lang.Object
- - com.brightcove.player.model.RendererConfig

-     public class RendererConfig
      extends java.lang.Object

  This class contains configuration values used on a Renderer Builder.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RendererConfig.Builder`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBufferSegmentCount()` Gets the number of segments to buffer ahead.
    `int` | `getBufferSegmentSize()` Gets the buffer segment size, the size in bytes for each segment of the buffer.
    `int` | `getHttpConnectTimeoutMillis()` Gets the http connect timeout value, the maximum time in milliseconds to wait while connecting through http.
    `int` | `getHttpReadTimeoutMillis()` Gets the http read timeout value, the maximum time to wait for an input stream read through http.
    `boolean` | `getRestrictHdContentToWidevineL1()` Checks if the restriction to play 'protected HD content' ONLY on devices with Widevine security level 1 (L1) is enabled or disabled.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getHttpReadTimeoutMillis

          public int getHttpReadTimeoutMillis()

      Gets the http read timeout value, the maximum time to wait for an input stream read through http.
      Returns:
        Integer timeout value.

    - #### getHttpConnectTimeoutMillis

          public int getHttpConnectTimeoutMillis()

      Gets the http connect timeout value, the maximum time in milliseconds to wait while connecting through http.
      Returns:
        Integer timeout value.

    - #### getBufferSegmentSize

          public int getBufferSegmentSize()

      Gets the buffer segment size, the size in bytes for each segment of the buffer.
      Returns:
        Integer segment size for the buffer.

    - #### getBufferSegmentCount

          public int getBufferSegmentCount()

      Gets the number of segments to buffer ahead.
      Returns:
        Integer count of buffer segments.

    - #### getRestrictHdContentToWidevineL1

          public boolean getRestrictHdContentToWidevineL1()

      Checks if the restriction to play 'protected HD content' ONLY on devices with Widevine security level 1 (L1) is enabled or disabled.
      Returns:
        true if restriction is enabled.